### Hierarchy

- ZBWorkerOptions

## Index

### Properties

- failWorkflowOnException
- fetchVariable
- maxJobsToActivate
- onConnectionErrorHandler
- pollInterval
- timeout

## Properties

### Optional failWorkflowOnException

failWorkflowOnException: undefined | false | true

- Defined in lib/interfaces.ts:118

If a handler throws an unhandled exception, if this is set true, the workflow will be failed. Defaults to false.

### Optional fetchVariable

fetchVariable: string[]

- Defined in lib/interfaces.ts:110

Constrain payload to these keys only.

### Optional maxJobsToActivate

maxJobsToActivate: undefined | number

- Defined in lib/interfaces.ts:98

Max concurrent tasks for this worker. Default 32.

### Optional onConnectionErrorHandler

onConnectionErrorHandler: ConnectionErrorHandler

- Defined in lib/interfaces.ts:114

This handler is called when the worker cannot connect to the broker, or loses its connection.

### Optional pollInterval

pollInterval: undefined | number

- Defined in lib/interfaces.ts:106

Poll Interval in ms. Default 100.

### Optional timeout

timeout: undefined | number

- Defined in lib/interfaces.ts:102

Max ms to allow before time out of a task given to this worker. Default: 1000ms.

Generated using TypeDoc